import { ChangeDetectionStrategy, Component } from '@angular/core';
import { Feature } from '@msfa-enums/feature.enum';
import { environment } from '@msfa-environment';

@Component({
  selector: 'msfa-footer',
  templateUrl: './footer.component.html',
  styleUrls: ['./footer.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class FooterComponent {
  activeFeatures: Feature[] = environment.activeFeatures;
  version: string = environment.version;

  get versionInfoVisible(): boolean {
    return this.version && this.activeFeatures.includes(Feature.VERSION_INFO);
  }
  get releasesVisible(): boolean {
    return this.activeFeatures.includes(Feature.RELEASES);
  }
  get accessibilityReportVisible(): boolean {
    return this.activeFeatures.includes(Feature.ACCESSIBILITY_REPORT);
  }
}
